.site-wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

body.admin-bar .site-wrapper {
  min-height: calc(100vh - 32px);
}

.site-nav li a {
   padding: 0px 1rem;
   border-radius: 6px;
}

.site-nav .current-menu-item a,
.site-nav li a:hover {
   background: var(--clr-primary-solid);
}

.site-nav .bricks-nav-menu > .current-menu-parent > a {
	color:var(--clr-dark) !important;
}

.site-nav .bricks-nav-menu > .current-menu-parent:hover a {
	color:var(--clr-light-solid) !important;
}

[class^="has-icon"] {
  position:relative;
}

[class^="has-icon"] a {
	padding-left:3.4rem !important;
}

[class^="has-icon"].current-menu-item a::before,
[class^="has-icon"]:hover a::before {
	filter: brightness(0) invert(1) !important;
}

[class^="has-icon"] a::before {
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  content: "";
  display: inline-block;
  width: 1.8rem;
  height: 1.8rem;
}

.has-icon-home a::before {
  background-image: url('../../images/icons/home-icon.svg');
  width:2.2rem;
  height:2.2rem;
}

.has-icon-news a::before {
  background-image: url('../../images/icons/news-icon.svg');
}

.has-icon-guides a::before {
  background-image: url('../../images/icons/guides-icon.svg');
}

.has-icon-pc a::before {
  background-image: url('../../images/icons/pc-solid.svg');
}

.has-icon-station a::before {
  background-image: url('../../images/icons/playstation-solid.svg');
}

.has-icon-xbox a::before {
  background-image: url('../../images/icons/xbox-solid.svg');
}

.has-icon-phone a::before {
  background-image: url('../../images/icons/phone-icon.svg');
}

.rtn-card__media {
  overflow: hidden;
  position: relative;
}

.rtn-card__img img {
  transition: transform 0.5s ease;
  display: block;
  width: 100%;
  height: auto;
}

.rtn-card__media:hover .rtn-card__img img {
  transform: scale(1.1);
}

.rtn-list .rtn-list__img img,
.rtn-card .rtn-card__img {
  transition: transform 0.3s ease;
  display: block;
}

.rtn-list:hover .rtn-list__img img,
.rtn-card:hover .rtn-card__img {
  transform: scale(1.1);
}

.rtn-list .rtn-list__img,
.rtn-card .rtn-card__img {
  overflow: hidden;
}

.rtn-list__img::before,
.rtn-card__img::before {
	z-index:1;
}

.rtn-meta--sec {
	z-index:2;
}

.table-wrapper {
  overflow-x:auto;
}

.post-content table {
    border-collapse: collapse;
    width: 100%;
	margin-block:1.5rem;
	border-radius:var(--radius-sm);
	overflow:hidden;
}

.post-content table {
	font-size:clamp(1.5rem, .0956vw + 1.4694rem, 1.6rem);
}

.post-content hr {
	border-top: 1px solid var(--clr-ultra-dark-l-9) !important;
}

.post-content th, .post-content td {
    border: 1px solid var(--clr-ultra-dark-l-9) !important; 
    padding: 6px 12px; 
    text-align: left;
}

.post-content :where(.wp-block-columns) {
	margin-bottom:1.5rem;
}

.post-content figure:has(table) {
	margin:0;
}

.post-content .wp-block-columns:has(table) table {
	margin-bottom:0px !important;
}

.post-content table thead tr {
  background:var(--clr-primary-solid);
  color:var(--clr-light-solid);
}

.post-content figure tbody tr:nth-child(odd) {
	background:var(--clr-light) !important;
}

.post-content .wp-block-table.is-style-stripes {
	border-bottom:none !important;
}

.post-content tbody tr:nth-child(even) {
    background-color: var(--table-bg);
}

/* .post-content table tbody tr:hover,
.post-content .wp-block-table.is-style-stripes tbody tr:nth-child(odd):hover {
	background:var(--clr-primary-d-5) !important;
	color:var(--clr-light-solid);
}

[data-brx-theme="light"] .post-content table tbody tr:hover, [data-brx-theme="light"] .post-content .wp-block-table.is-style-stripes tbody tr:nth-child(odd):hover {
    background: var(--clr-primary-l-8) !important;
    color: revert-layer;
} */

.post-content .wp-block-table thead {
	border-bottom:none !important;
}

.post-content .wp-block-list {
   padding: 0;
   list-style-type: none;
}

.post-content .aligncenter {
	margin:0.5em 0px;
}

.post-content iframe,
.post-content figure,
.post-content img {
	border-radius:var(--radius-sm);
}

.post-content iframe {    
    display: flex !important;
	margin: 0 auto !important; 	
}

.post-content figure,
.post-content figure img {
	width:100% !important;
}

.post-content blockquote {
   font-family: 'Lexend';
   color: var(--clr-dark);
   text-align: center;
   font-weight: 500;
   padding: 2rem;
   background: var(--clr-light-alt);
   border-left: 0px;
   border-radius: var(--radius-sm);
   font-size: 1.7rem;
}

.post-content .wp-video {
	border-radius:var(--radius-sm);
	overflow:hidden;
}

.post-content :where(p) {
	margin-block:0;
} 

.wp-caption {
   border:none !important;
   padding:0px !important;
   max-width:100% !important;
}

.wp-caption img {
   margin:0 !important;
   max-width:100% !important;
}

.wp-caption,
figcaption {
   background:var(--clr-light-alt) !important;
}

figcaption {
   color:var(--clr-dark);
   margin-top:0px;
   border-radius:0px 0px 6px 6px;
   padding: 0.6rem 1rem;
}

.post-content blockquote::before {
  content: "";
  position: absolute;
  top: -20px; 
  left: 50%;
  transform: translateX(-50%);
  width: 4rem;
  height: 4rem;
  background-image: url(/wp-content/themes/retronoob/assets/images/icons/quote-icon.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: brightness(0) saturate(100%) invert(26%) sepia(49%) saturate(2186%) hue-rotate(248deg) brightness(82%) contrast(154%);
}

.wp-block-list,
.post-content ul {
  list-style: none; 
  padding-left: 0;
}

.post-content ul li {
  position: relative;
  padding-left: 3.5rem;
}

.post-content ul,
.post-content ol {
	margin-top:4px;
}

.post-content ul li::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  transform: translateY(2%);
  width: 2.5rem !important;
  height:2.5rem;
  background-image: url('/wp-content/themes/retronoob/assets/images/icons/arrow-right-icon.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

.rtn-list__media,
.rtn-card__img {
    overflow:hidden;
}

.rtn-list__media::before,
.rtn-card__img::after {
    content: '';
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(120deg, rgba(255, 255, 255, 0) 0%, rgb(255 255 255 / 13%) 50%, rgba(255, 255, 255, 0) 100%);
    transform: skewX(-25deg);
    z-index: 2;
    transition: all 0.5s ease;
    pointer-events: none;
}

.rtn-list:hover .rtn-list__media::before,
.rtn-card:hover .rtn-card__img::after {
    left: 125%;
    transition: left 0.7s ease-in-out;
}

.rtn-card:hover .title-anim a,
.rtn-list:hover .title-anim a {
	background-size:100% 30%;
}

.live-search-results {
   display: grid;
   grid-template-columns: repeat(2, 1fr);
   gap: var(--gap-sm);
}

.prev,
.next {
  display: inline-block;
  position: relative;
}

.prev::before,
.next::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 1.8rem; 
  height: 1.8rem;
  background-repeat: no-repeat;
  background-size: contain;
}

.prev::before {
  left: 5px;
  background-image: url("/wp-content/themes/retronoob/assets/images/icons/angle-left.svg");
}

.next::after {
  right: 5px;
  background-image: url("/wp-content/themes/retronoob/assets/images/icons/angle-right.svg");
}

.rtn-pagination .page-numbers .prev:hover::before,
.rtn-pagination .page-numbers .next:hover::after {
	filter: brightness(0) invert(1) !important;
}

.rtn-slider .splide__arrow {
    position:static;
}

.rtn-slider .splide__arrows {
    position: absolute !important;
    right: 0px;
    display: flex !important;
    top: -34%;
	gap:0.6rem;
}

::selection {
  background: var(--clr-primary-solid);
  color: var(--clr-light-solid);
}

.content-sidebar-wrap:not(:has(.main-sidebar)) .main-content {
  width:100%;
}

.content-sidebar-wrap:not(:has(.main-sidebar)) .main-content {
  width:100%;
}

.content-sidebar-wrap:not(:has(.main-sidebar)) .main-content__body {
   width: 900px;
   margin: 0 auto;
}
	
.social-share-wrap {
	margin-left:-7.6rem;
}

.brx-popup-content {
   overflow-y: auto !important;
   scrollbar-width: thin;
}

#wpadminbar {
	position: fixed;
}

@layer bricks.reset {
  .rtn-list--sm .rtn-list__img a,
  .rtn-list--lg .rtn-list__img a {
    position: relative;
    display: block;
  }

  .rtn-list--sm .rtn-list__media .rtn-list__img a img,
  .rtn-list--lg .rtn-list__img a img {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  .rtn-list--sm .rtn-list__img a {
    padding-top: 73%;
  }
	
  .rtn-list--lg .rtn-list__img a {
    padding-top: 66%;
  }
}